cURL
curl --request POST \
--url https://api.brightdata.com/api/{PARTNER_NAME}/signup_shared_isp \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/signup_shared_isp"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/signup_shared_isp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "CUSTOMER_ID",
"zone": "ZONE",
"password": "PASSWORD",
"api_token": "API_KEY"
}Reseller API
Sign up customer with shared ISP IPs
Use the Bright Data Reseller API to sign up a Customer with Shared ISP IPs. Manages reseller customers, IPs or usage; returns 200 OK as JSON.
POST
/
api
/
{PARTNER_NAME}
/
signup_shared_isp
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Name of the proxy zone which will service your request.
Query Parameters
Zone name
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?